<?php

namespace ZPOS;

class Activate
{
	public function __construct()
	{
		register_activation_hook(PLUGIN_ROOT_FILE, function () {
			$administrator = get_role('administrator');
			$administrator->add_cap('manage_woocommerce_pos');
			$administrator->add_cap('access_woocommerce_pos');
			$administrator->add_cap('read_woocommerce_pos_setting');
			$administrator->add_cap('read_woocommerce_pos_categories');
			$administrator->add_cap('read_woocommerce_pos_gateways');

			$customer = get_role('customer');
			$customer->add_cap('read_woocommerce_pos_setting');
			$customer->add_cap('read_woocommerce_pos_categories');
			$customer->add_cap('read_woocommerce_pos_gateways');

			$shop_manager = get_role('shop_manager');
			$shop_manager->add_cap('read_woocommerce_pos_setting');
			$shop_manager->add_cap('read_woocommerce_pos_categories');
			$shop_manager->add_cap('read_woocommerce_pos_gateways');

			add_role('cashier', 'Cashier');
			$cashier = get_role('cashier');
			array_map(
				function ($el) use ($cashier) {
					$cashier->add_cap($el);
				},
				[
					'access_woocommerce_pos',
					'read_woocommerce_pos_setting',
					'read_woocommerce_pos_categories',
					'read_woocommerce_pos_gateways',
					'read',
					'read_product',
					'read_shop_coupon',
					'read_shop_order',
					'read_shop_webhook',
					'read_private_products',
					'read_private_shop_orders',
					'list_users',
					'edit_shop_orders',
					'publish_shop_orders',
					'delete_shop_orders',
					'delete_private_shop_orders',
					'delete_published_shop_orders',
				]
			);

			add_role('kiosk', 'Kiosk');
			$kiosk = get_role('kiosk');

			array_map(
				function ($el) use ($kiosk) {
					$kiosk->add_cap($el);
				},
				[
					'access_woocommerce_pos',
					'read_woocommerce_pos_setting',
					'read_woocommerce_pos_categories',
					'read_woocommerce_pos_gateways',
					'read',
					'read_private_products',
					'read_private_shop_orders',
					'read_product',
					'read_woocommerce_pos_single_coupons',
					'read_woocommerce_pos_single_customers',
					'read_shop_order',
					'read_shop_webhook',
					'publish_shop_orders', //to make order
					'edit_shop_orders',
				]
			);
		});
	}
}
