<?php

namespace ZPOS;

use ZPOS\Admin\Menu;
use ZPOS\Admin\Setting;

class Admin
{
	public $slug;
	public $menu;

	public function __construct()
	{
		if (Plugin::isMobileApp()) {
			define('IFRAME_REQUEST', true);
		}

		add_action('admin_enqueue_scripts', [$this, 'scripts']);

		$this->initMenu();

		new Admin\Reports();
		new Admin\Orders();
	}

	private function initMenu()
	{
		$this->slug = PLUGIN_NAME;

		$this->menu = new Menu($this->slug);

		$setting = new Setting($this->slug);

		$this->menu->links[0] = $setting;
	}

	public function scripts()
	{
		wp_register_script('pos_commons', Plugin::getAssetUrl('commons.js'), false, false, true);
		wp_localize_script('pos_commons', 'POS_COMMONS', ['PUBLIC_PATH' => Plugin::getUrl('assets/core/')]);
	}
}
