<?php

namespace ZPOS\Admin\Setting;

abstract class Tab
{
	protected $exact = false;
	protected $name;
	protected $path;
	protected $boxes = [];

	public function __construct()
	{
		if (method_exists($this, 'admin_init')) {
			add_action('admin_init', [$this, 'admin_init']);
		}
		if (method_exists($this, 'init')) {
			add_action('init', [$this, 'init']);
		}
	}

	public function settings_fields()
	{
		ob_start();
		settings_fields('pos' . $this->path);
		$data = ob_get_contents();
		ob_end_clean();

		return $data;
	}

	public function getData()
	{
		return array_map(function ($box) {
			$box = (is_a($box, Box::class)) ? $box->getData() : $box;
			$box['inputs'] = array_map(function ($input) {
				return (is_a($input, InputBase::class)) ? $input->getData() : $input;
			}, $box['inputs']);
			return $box;
		}, $this->boxes);
	}

	public function toJSON()
	{
		return [
			'exact' => $this->exact,
			'name' => $this->name,
			'path' => $this->path,
			'boxes' => $this->getData(),
			'settings_fields' => $this->settings_fields()
		];
	}
}
