<?php

namespace ZPOS\Admin\Tabs;

use ZPOS\Admin\Setting\Box;
use ZPOS\Admin\Setting\Input\Checkbox;
use ZPOS\Admin\Setting\Tab;

class Cart extends Tab
{
	public $name = 'Cart';
	public $path = '/cart';

	public function admin_init()
	{
		$this->boxes[] = new Box(
			'Cart',
			null,
			new Checkbox(
				'Customer',
				'pos_cart_customer',
				get_option('pos_cart_customer'),
				"Customer is Required to be Added to the Order for Checkout"
			),
			new Checkbox(
				'Menu Display',
				'pos_cart_menu_display',
				get_option('pos_cart_menu_display'),
				"Show the Cart menu expanded open by default"
			)
		);
	}

	public function init()
	{
		register_setting('pos' . $this->path, 'pos_cart_customer', [
			'sanitize_callback' => function ($data) {
				return filter_var($data, FILTER_VALIDATE_BOOLEAN);
			},
			'default' => false,
		]);

		register_setting('pos' . $this->path, 'pos_cart_menu_display', [
			'sanitize_callback' => function ($data) {
				return filter_var($data, FILTER_VALIDATE_BOOLEAN);
			},
			'default' => false,
		]);
	}
}
