<?php

namespace ZPOS\Admin\Tabs;

use ZPOS\Admin\Setting\Box;
use ZPOS\Admin\Setting\Input\AssocArray;
use ZPOS\Admin\Setting\Input\Checkbox;
use ZPOS\Admin\Setting\Tab;

class Products extends Tab
{
	public $name = 'Products';
	public $path = '/products';

	public function admin_init()
	{
		$this->boxes[] = new Box(
			'Coupons',
			null,
			new Checkbox(
				null,
				'pos_coupons_manual',
				get_option('pos_coupons_manual'),
				'Enable Manual Coupons'
			)
		);
		$this->boxes[] = new Box(
			'Product Tabs',
			null,
			new AssocArray(null, 'pos_tabs', get_option('pos_tabs'))
		);
	}

	public function init()
	{
		register_setting('pos' . $this->path, 'pos_tabs', [
			'sanitize_callback' => function ($raw_data) {
				static $called = false;

				if ($called) {
					return $raw_data;
				}

				$data = [];

				foreach ($raw_data as $el) {
					$data[$el['key']] = $el['value'];
				}

				$called = true;

				return $data;
			},
			'default' => [
				'all' => 'Products',
				'cat-list' => 'Categories',
			],
		]);

		register_setting('pos' . $this->path, 'pos_coupons_manual', [
			'sanitize_callback' => function ($data) {
				return filter_var($data, FILTER_VALIDATE_BOOLEAN);
			},
			'default' => false,
		]);
	}
}
