<?php

namespace ZPOS\Admin\Tabs;

use ZPOS\Admin\License\Validator;
use ZPOS\Admin\Setting\Tab;
use ZPOS\Admin\Tabs\Users\Access;
use ZPOS\Admin\Tabs\Users\UserSettings;
use ZPOS\Admin\Tabs\Users\Multiple;

class Users extends Tab
{
	public $name = 'Users';
	public $path = '/users';

	public function admin_init()
	{
		$this->boxes[] = new UserSettings();
		$this->boxes[] = new Multiple();
		$this->boxes[] = new Access();
	}

	public function init()
	{
		Access::init($this->path);
		UserSettings::init($this->path);
	}
}
