<?php

namespace ZPOS\Admin\Tabs\Users;

use ZPOS\Admin\Setting\Box;
use ZPOS\Admin\Setting\Input\Select;

class UserSettings extends Box
{
	protected $label = "Individual Free User Accounts";

	public function __construct()
	{
		$users = $this->getValues();

		parent::__construct(
			$this->label,
			null,
			new Select('Cashier', 'pos_user_free[cashier]', get_option('pos_user_free')['cashier'], $users),
			new Select('Manager', 'pos_user_free[manager]', get_option('pos_user_free')['manager'], $users)
		);
	}

	public static function init($path)
	{
		register_setting('pos' . $path, 'pos_user_free', [
			'default' => static::getFreeDefaultValue()
		]);
	}

	public function getValues()
	{
		return array_map(function ($user) {
			return ["value" => $user->user_login, "label" => $user->user_login];
		}, get_users());
	}

	public static function getFreeDefaultValue()
	{
		return [
			'cashier' => '',
			'manager' => ''
		];
	}
}
