<?php

namespace ZPOS\Gateway;

use WC_Order;
use ZPOS\API;

class EPD extends Base
{
	public $id = 'pos_epd';
	public $method_title = 'External Payment Device';
	public $method_description = 'Process payment using external chip and/or payment device';
	public $has_fields = true;
	public $supports = array('products', 'pos');

	public function __construct()
	{
		parent::__construct();

		$this->title = $this->get_option('title');
		$this->description = $this->get_option('description');

		// Actions
		add_action('woocommerce_pos_update_options_payment_gateways_' . $this->id, array(
			$this,
			'process_admin_options',
		));
	}

	public function process_payment($order_id)
	{
		// get order object
		$order = new WC_Order($order_id);

		// update pos_cash data
		$data = API::get_raw_data();

		if (
			isset($data['payment_details']['pos-confirmation-code']) &&
			$data['payment_details']['pos-confirmation-code']
		) {
			// payment complete
			$order->update_status('processing');
			// success
			return array(
				'result' => 'success',
			);
		} else {
			return array(
				'result' => 'failed',
			);
		}
	}
}
