<?php
namespace ZPOS\Model;

class Customer
{
	private $usermeta = [
		'first_name',
		'last_name',
		'nickname',
		'billing_first_name',
		'billing_last_name',
		'billing_company',
		'billing_email',
		'billing_phone',
		'billing_address_1',
		'billing_address_2',
		'billing_city',
		'billing_state',
		'billing_postcode',
		'billing_country',
		'shipping_first_name',
		'shipping_last_name',
		'shipping_company',
		'shipping_address_1',
		'shipping_address_2',
		'shipping_city',
		'shipping_state',
		'shipping_postcode',
		'shipping_country',
		'_order_count',
		'_money_spent',
  ];
	public function __construct()
	{
		/* Store user last update date for filter in API */
		add_action('profile_update', [ $this, 'profile_update' ]);
		add_action('updated_user_meta', [ $this, 'updated_user_meta' ], 10, 4);
	}

	public function profile_update($user)
	{
		update_user_meta($user, '_user_modified_gmt', current_time('mysql', 1));
	}

	public function updated_user_meta($meta_id, $user, $meta_key, $_meta_value)
	{
		if (in_array($meta_key, $this->usermeta)) {
			$this->profile_update($user);
		}
	}
}
