<?php

namespace ZPOS;

use ZPOS\Model\Gateway;
use ZPOS\Model\Customer;

class Setup
{
	public function __construct()
	{
		new Activate();

		add_action('plugins_loaded', [$this, 'init'], 10);
	}

	public function init()
	{
		if (!class_exists('WooCommerce')) {
			add_action('admin_notices', function () {
				?>
				<div class="notice notice-error is-dismissible">
					<p>Point of Sale (POS) for WooCommerce require WooCommerce</p>
				</div>
				<?php
			});
			return;
		}

		new Frontend();
		new Gateway();
		new Customer();
		new Emails();
		new API();
		new Admin();
	}
}
