<?php
/*
 * Plugin Name: Point of Sale POS WooCommerce
 * Plugin URI: https://www.bizswoop.com/wp/pos
 * Description: A Point of Sale (POS) plugin for the WooCommerce e-commerce toolkit. Sell everywhere.
 * Version: 1.0.11
 * Text Domain: Point-of-Sale-POS-WooCommerce
 * WC requires at least: 2.4.0
 * WC tested up to: 3.6.0
 * Author: BizSwoop a CPF Concepts, LLC Brand
 * Author URI: http://www.bizswoop.com
 */

namespace ZPOS;

const ACTIVE = true;
const PLUGIN_NAME = 'pos';
const PLUGIN_ROOT = __DIR__;
const PLUGIN_ROOT_FILE = __FILE__;
const PLUGIN_VERSION = '1.0.10';
const PLUGIN_PRO_VERSION_NEED = '1.0.0';

remove_filter('template_redirect', 'redirect_canonical');

spl_autoload_register(function ($name) {
	$raw_name = $name;
	$name = explode('\\', $name);
	$name[0] = 'includes';

	$path = __DIR__ . DIRECTORY_SEPARATOR . implode(DIRECTORY_SEPARATOR, $name) . '.php';

	$path = apply_filters(
		'zpos_autoload_path',
		$path,
		$name,
		$raw_name,
		PLUGIN_VERSION,
		PLUGIN_PRO_VERSION_NEED
	);

	if (file_exists($path)) {
		return require_once $path;
	}
}, false);

if (!function_exists('get_plugins')) {
	require_once ABSPATH . 'wp-admin/includes/plugin.php';
}

new Setup();
